Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.suggestion
Class EPPSuggestionRow

    java.lang.Object
      com.verisign.epp.codec.suggestion.EPPSuggestionRow

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPSuggestionRow

extends java.lang.Object
implements EPPCodecComponent

A Row associates a Fully Qualified Domain Name with a score and status. This suggestion is returned to the client within a Table response.

Author:
  jcolosi
See Also:
  Serialized Form

Constructor Summary
`EPPSuggestionRow()` Constructor.
`EPPSuggestionRow(org.w3c.dom.Element aElement)` Constructor.
`EPPSuggestionRow(java.lang.String aName, short aScore, java.lang.String aStatus)` Constructor.
`EPPSuggestionRow(java.lang.String aName, short aScore, java.lang.String aStatus, java.lang.String aUName)` Constructor.
`EPPSuggestionRow(java.lang.String aName, short aScore, java.lang.String aStatus, java.lang.String aSource, java.lang.String aMoreLikeThis, java.lang.Integer aPpcValue)` Constructor.
`EPPSuggestionRow(java.lang.String aName, short aScore, java.lang.String aStatus, java.lang.String aSource, java.lang.String aMoreLikeThis, java.lang.Integer aPpcValue, java.lang.String aUName)` Constructor.

Method Summary
`java.lang.Object` | `clone()` clone an `EPPCodecComponent`.
`void` | `decode(org.w3c.dom.Element aElement)` decode a DOM element tree to initialize the instance attributes.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` encode instance into a DOM element tree.
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getMoreLikeThis()` More like this getter.
`java.lang.String` | `getName()` Ascii name getter.
`java.lang.Integer` | `getPpcValue()` Ppc value getter.
`UnsignedShort` | `getScore()` Score getter.
`java.lang.String` | `getSource()` Source getter.
`StatusEnum` | `getStatus()` Status getter.
`java.lang.String` | `getUName()` Unicode name getter.
`boolean` | `isSetMoreLikeThis()` Is more like this value set.
`boolean` | `isSetSource()` Is source value set.
`boolean` | `isSetUName()` Is uName value set.
`void` | `setMoreLikeThis(java.lang.String aMoreLikeThis)` More like this setter.
`void` | `setName(java.lang.String aName)` Ascii name setter.
`void` | `setPpcValue(java.lang.Integer aPpcValue)` Ppc value setter.
`void` | `setPpcValue(java.lang.String aPpcValue)` Ppc value setter.
`void` | `setScore(short aScore)` Score setter.
`void` | `setScore(java.lang.String aScore)` Score setter.
`void` | `setScore(UnsignedShort aScore)` Score setter.
`void` | `setSource(java.lang.String aSource)`
`void` | `setStatus(StatusEnum aStatus)` Status setter.
`void` | `setStatus(java.lang.String aStatus)` Status setter.
`void` | `setUName(java.lang.String aUName)` Unicode name setter.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPSuggestionRow

    public EPPSuggestionRow()

  Constructor.

### EPPSuggestionRow

    public EPPSuggestionRow(org.w3c.dom.Element aElement)
                     throws EPPDecodeException

  Constructor.

  Parameters:
    `aElement` - a dom element
  Throws:
    `EPPDecodeException`

### EPPSuggestionRow

    public EPPSuggestionRow(java.lang.String aName,
                            short aScore,
                            java.lang.String aStatus)
                     throws InvalidValueException

  Constructor.

  Parameters:
    `aName` - a name
    `aScore` - a score
    `aStatus` - a status
  Throws:
    `InvalidValueException`

### EPPSuggestionRow

    public EPPSuggestionRow(java.lang.String aName,
                            short aScore,
                            java.lang.String aStatus,
                            java.lang.String aUName)
                     throws InvalidValueException

  Constructor.

  Parameters:
    `aName` - a name
    `aScore` - a score
    `aStatus` - a status
    `aUName` - a unicode name
  Throws:
    `InvalidValueException`

### EPPSuggestionRow

    public EPPSuggestionRow(java.lang.String aName,
                            short aScore,
                            java.lang.String aStatus,
                            java.lang.String aSource,
                            java.lang.String aMoreLikeThis,
                            java.lang.Integer aPpcValue)
                     throws InvalidValueException

  Constructor.

  Parameters:
    `aName` - a name
    `aScore` - a score
    `aStatus` - a status
    `aSource` - a source
    `aMoreLikeThis` - a more like this flag
    `aPpcValue` - a ppc value flag
  Throws:
    `InvalidValueException`

### EPPSuggestionRow

    public EPPSuggestionRow(java.lang.String aName,
                            short aScore,
                            java.lang.String aStatus,
                            java.lang.String aSource,
                            java.lang.String aMoreLikeThis,
                            java.lang.Integer aPpcValue,
                            java.lang.String aUName)
                     throws InvalidValueException

  Constructor.

  Parameters:
    `aName` - a ascii name
    `aScore` - a score
    `aStatus` - a status
    `aSource` - a source
    `aMoreLikeThis` - a more like this flag
    `aPpcValue` - a ppc value flag
    `aUName` - a unicode name
  Throws:
    `InvalidValueException`

Method Detail

### getMoreLikeThis

    public java.lang.String getMoreLikeThis()

  More like this getter.

  Returns:
    more like this value

### getUName

    public java.lang.String getUName()

  Unicode name getter.

  Returns:
    Unicode name

### getName

    public java.lang.String getName()

  Ascii name getter.

  Returns:
    ascii name

### getPpcValue

    public java.lang.Integer getPpcValue()

  Ppc value getter.

  Returns:
    a ppc value

### getScore

    public UnsignedShort getScore()

  Score getter.

  Returns:
    a score

### getSource

    public java.lang.String getSource()

  Source getter.

  Returns:
    a source

### getStatus

    public StatusEnum getStatus()

  Status getter.

  Returns:
    a status

### isSetMoreLikeThis

    public boolean isSetMoreLikeThis()

  Is more like this value set.

  Returns:
    true if it is set

### isSetUName

    public boolean isSetUName()

  Is uName value set.

  Returns:
    true if it is set

### isSetSource

    public boolean isSetSource()

  Is source value set.

  Returns:
    true if it is set

### setMoreLikeThis

    public void setMoreLikeThis(java.lang.String aMoreLikeThis)

  More like this setter.

  Parameters:
    `aMoreLikeThis` - more like this value

### setUName

    public void setUName(java.lang.String aUName)

  Unicode name setter.

  Parameters:
    `aUName` - a unicode name

### setName

    public void setName(java.lang.String aName)

  Ascii name setter.

  Parameters:
    `aName` - a ascii name

### setPpcValue

    public void setPpcValue(java.lang.Integer aPpcValue)

  Ppc value setter.

  Parameters:
    `aPpcValue` - a ppc value

### setPpcValue

    public void setPpcValue(java.lang.String aPpcValue)

  Ppc value setter.

  Parameters:
    `aPpcValue` - a ppc value

### setScore

    public void setScore(short aScore)
                  throws InvalidValueException

  Score setter.

  Parameters:
    `aScore` - a score
  Throws:
    `InvalidValueException`

### setScore

    public void setScore(java.lang.String aScore)
                  throws InvalidValueException

  Score setter.

  Parameters:
    `aScore` - a score
  Throws:
    `InvalidValueException`

### setScore

    public void setScore(UnsignedShort aScore)

  Score setter.

  Parameters:
    `aScore` - a score
  Throws:
    `InvalidValueException`

### setSource

    public void setSource(java.lang.String aSource)

### setStatus

    public void setStatus(StatusEnum aStatus)

  Status setter.

  Parameters:
    `aStatus` - a score
  Throws:
    `InvalidValueException`

### setStatus

    public void setStatus(java.lang.String aStatus)
                   throws InvalidValueException

  Status setter.

  Parameters:
    `aStatus` - a score
  Throws:
    `InvalidValueException`

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Description copied from interface: `EPPCodecComponent`
  clone an `EPPCodecComponent`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of concrete `EPPCodecComponent`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Description copied from interface: `EPPCodecComponent`
  decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.
  For example, the <command> element of `EPPCommand` is passed into `decode` of EPPCommand to be decoded and used to set the instance attributes.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - root DOM element associated with instance
  Throws:
    `EPPDecodeException` - Error decoding the DOM element tree.

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Description copied from interface: `EPPCodecComponent`
  encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.
  For example, the <command> element of `EPPCommand` is created and is used to append the attribute nodes of `EPPCommand`.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM document used as a factory of DOM objects.
  Returns:
    instance root DOM element along with attribute child nodes.
  Throws:
    `EPPEncodeException` - Error encoding the DOM element tree.

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.